cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/labour_profiles/5e7a9c1b-3d4f-4a6b-8c0d-2e4f6a8b0c1d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.labours.get_labour_profile("5e7a9c1b-3d4f-4a6b-8c0d-2e4f6a8b0c1d")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.labours.getLabourProfile('5e7a9c1b-3d4f-4a6b-8c0d-2e4f6a8b0c1d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->labours->getLabourProfile('5e7a9c1b-3d4f-4a6b-8c0d-2e4f6a8b0c1d');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.labours.labours_dto.LaboursDto.LabourProfileView;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<LabourProfileView> response = client.labours().getLabourProfile("5e7a9c1b-3d4f-4a6b-8c0d-2e4f6a8b0c1d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Labours.GetLabourProfileAsync("5e7a9c1b-3d4f-4a6b-8c0d-2e4f6a8b0c1d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.labours.getLabourProfile(
'5e7a9c1b-3d4f-4a6b-8c0d-2e4f6a8b0c1d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Labours().GetLabourProfile(context.Background(), "5e7a9c1b-3d4f-4a6b-8c0d-2e4f6a8b0c1d", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"labour_profile": {
"activity_logs": "<array>",
"created_by": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_on": "<string>",
"currency": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"labours": [
{
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
}
],
"last_updated_by": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"last_updated_on": "<string>",
"max_booking_limit": 123,
"name": "<string>",
"object": "<string>",
"sessions": [
{
"allow_overtime": true,
"availability": [
{
"available": true,
"end_time": "<string>",
"id": "<string>",
"object": "<string>",
"preferred_day": "<string>",
"start_time": "<string>",
"status": "<string>"
}
],
"end_date": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"prices": [
{
"enabled_pro_rata": true,
"hours": [
{
"end_time": "<string>",
"id": "<string>",
"object": "<string>",
"price": 123,
"start_time": "<string>",
"status": "<string>"
}
],
"id": "<string>",
"object": "<string>",
"peak_hourly": "<array>",
"price": 123,
"price_type": "<string>",
"pricing_level": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"status": "<string>"
}
],
"start_date": "<string>",
"status": "<string>",
"working_hours": [
{
"end_time": "<string>",
"id": "<string>",
"object": "<string>",
"start_time": "<string>",
"status": "<string>"
}
]
}
],
"status": "<string>",
"tax": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"tax_inclusive": true,
"version": 123
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Labours
Retrieve a labour profile
Retrieves one labour profile with its sessions and labours.
GET
/
labour_profiles
/
{labour_profile_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/labour_profiles/5e7a9c1b-3d4f-4a6b-8c0d-2e4f6a8b0c1d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.labours.get_labour_profile("5e7a9c1b-3d4f-4a6b-8c0d-2e4f6a8b0c1d")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.labours.getLabourProfile('5e7a9c1b-3d4f-4a6b-8c0d-2e4f6a8b0c1d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->labours->getLabourProfile('5e7a9c1b-3d4f-4a6b-8c0d-2e4f6a8b0c1d');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.labours.labours_dto.LaboursDto.LabourProfileView;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<LabourProfileView> response = client.labours().getLabourProfile("5e7a9c1b-3d4f-4a6b-8c0d-2e4f6a8b0c1d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Labours.GetLabourProfileAsync("5e7a9c1b-3d4f-4a6b-8c0d-2e4f6a8b0c1d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.labours.getLabourProfile(
'5e7a9c1b-3d4f-4a6b-8c0d-2e4f6a8b0c1d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Labours().GetLabourProfile(context.Background(), "5e7a9c1b-3d4f-4a6b-8c0d-2e4f6a8b0c1d", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"labour_profile": {
"activity_logs": "<array>",
"created_by": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_on": "<string>",
"currency": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"labours": [
{
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
}
],
"last_updated_by": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"last_updated_on": "<string>",
"max_booking_limit": 123,
"name": "<string>",
"object": "<string>",
"sessions": [
{
"allow_overtime": true,
"availability": [
{
"available": true,
"end_time": "<string>",
"id": "<string>",
"object": "<string>",
"preferred_day": "<string>",
"start_time": "<string>",
"status": "<string>"
}
],
"end_date": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"prices": [
{
"enabled_pro_rata": true,
"hours": [
{
"end_time": "<string>",
"id": "<string>",
"object": "<string>",
"price": 123,
"start_time": "<string>",
"status": "<string>"
}
],
"id": "<string>",
"object": "<string>",
"peak_hourly": "<array>",
"price": 123,
"price_type": "<string>",
"pricing_level": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"status": "<string>"
}
],
"start_date": "<string>",
"status": "<string>",
"working_hours": [
{
"end_time": "<string>",
"id": "<string>",
"object": "<string>",
"start_time": "<string>",
"status": "<string>"
}
]
}
],
"status": "<string>",
"tax": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"tax_inclusive": true,
"version": 123
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Returns the profile under
labour_profile, including its sessions, labours and activity_logs.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.